<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GnjYiKuBean" />
    </data>

    <!-- 外层容器承载间距 -->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:layout_marginVertical="5dp"
        android:orientation="vertical">

        <!-- 侧滑布局 -->
        <com.mcxtzhang.swipemenulib.SwipeMenuLayout
            android:id="@+id/swipe_menu"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <!-- 主列表项容器 -->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/ll"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_item"
                android:orientation="horizontal"
                android:padding="10dp">

                <!-- 选中图标 -->
                <ImageView
                    android:id="@+id/iv_icon"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_gravity="center"
                    loadImage="@{bean.checked ? @drawable/img_plane_s : @drawable/img_plane}"
                    android:src="@drawable/img_plane" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <!-- 第一行数据 -->
                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <!-- 运单号 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.1"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                completeSpace="@{4}"
                                android:text="运单号：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{bean.wbNo}"
                                android:textColor="@color/colorPrimary"
                                tools:text="78109081212" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <!-- 件数 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                completeSpace="@{4}"
                                android:text="件数：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text='@{bean.pc}'
                                tools:text="11" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <!-- 航班 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.2"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                completeSpace="@{4}"
                                android:text="航班：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{bean.flight}"
                                tools:text="20240712/MU2023" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <!-- 航程 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.2"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                completeSpace="@{4}"
                                android:text="航程：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{bean.route}"
                                tools:text="LAX-PEK-HFE" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <!-- 移交状态 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                completeSpace="@{5}"
                                android:text="移交状态：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text='@{bean.handoverStatus}'
                                tools:text="未移交" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <!-- 第二行数据 -->
                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp">

                        <!-- 运单类型 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.1"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                completeSpace="@{5}"
                                android:text="运单类型：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{bean.awbType}"
                                tools:text="转国际进港" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <!-- 品名 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                completeSpace="@{4}"
                                android:text="品名：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{bean.goods}"
                                tools:text="苹果" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <!-- 代理人 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.2"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                completeSpace="@{4}"
                                android:text="代理人：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text='@{bean.agentCode}'
                                tools:text="SF" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <!-- 特码 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.2"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                completeSpace="@{4}"
                                android:text="特码：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{bean.spCode}"
                                tools:text="PEK" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <!-- 重量 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                completeSpace="@{4}"
                                android:text="重量：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{bean.weight}"
                                tools:text="200" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                    </androidx.appcompat.widget.LinearLayoutCompat>

                </LinearLayout>

            </androidx.appcompat.widget.LinearLayoutCompat>

            <!-- 侧滑菜单区域 -->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <!-- 编辑按钮 -->
                <TextView
                    android:id="@+id/btn_edit"
                    style="@style/tv_item_action"
                    android:background="@color/colorPrimary"
                    android:text="编辑" />

            </androidx.appcompat.widget.LinearLayoutCompat>

        </com.mcxtzhang.swipemenulib.SwipeMenuLayout>

    </LinearLayout>

</layout>
